Reported at: https://trac.macports.org/ticket/52214

Fix from FreeBSD: https://svnweb.freebsd.org/ports/head/net-mgmt/net-snmp/files/patch-perl5.23?revision=396053&view=co

--- agent/snmp_perl.c.orig	2015-08-11 13:07:06 UTC
+++ agent/snmp_perl.c
@@ -5,6 +5,10 @@
 #include <EXTERN.h>
 #include "perl.h"
 
+#ifdef U64TYPE
+#define U64 U64pairU32
+#endif
+
 #include <net-snmp/net-snmp-config.h>
 #include <net-snmp/net-snmp-includes.h>
 #include <net-snmp/agent/net-snmp-agent-includes.h>
--- perl/OID/OID.xs.orig	2015-08-11 13:07:28 UTC
+++ perl/OID/OID.xs
@@ -7,6 +7,10 @@
 #include "perl.h"
 #include "XSUB.h"
 
+#ifdef U64TYPE
+#define U64 U64pairU32
+#endif
+
 #include <net-snmp/net-snmp-config.h>
 #include <net-snmp/net-snmp-includes.h>
 
--- perl/SNMP/SNMP.xs.orig	2015-08-11 13:07:54 UTC
+++ perl/SNMP/SNMP.xs
@@ -16,6 +16,10 @@
 #include "perl.h"
 #include "XSUB.h"
 
+#ifdef U64TYPE
+#define U64 U64pairU32
+#endif
+
 #include <net-snmp/net-snmp-config.h>
 #include <net-snmp/net-snmp-includes.h>
 #include <sys/types.h>
--- perl/TrapReceiver/TrapReceiver.xs.orig	2015-08-11 13:08:02 UTC
+++ perl/TrapReceiver/TrapReceiver.xs
@@ -9,6 +9,10 @@
 
 #include "ppport.h"
 
+#ifdef U64TYPE
+#define U64 U64pairU32
+#endif
+
 #include <net-snmp/net-snmp-config.h>
 #include <net-snmp/net-snmp-includes.h>
 #include <net-snmp/agent/net-snmp-agent-includes.h>
--- perl/agent/agent.xs.orig	2015-08-11 13:07:48 UTC
+++ perl/agent/agent.xs
@@ -9,6 +9,10 @@
 #include <netdb.h>
 #include <sys/socket.h>
 
+#ifdef U64TYPE
+#define U64 U64pairU32
+#endif
+
 #include <net-snmp/net-snmp-config.h>
 #include <net-snmp/net-snmp-includes.h>
 #include <net-snmp/agent/net-snmp-agent-includes.h>
--- perl/ASN/Makefile.PL.orig	2014-12-08 20:23:22 UTC
+++ perl/ASN/Makefile.PL
@@ -1,3 +1,4 @@
+package ASN;
 use ExtUtils::MakeMaker;
 require 5;
 use Config;
--- perl/AnyData_SNMP/Makefile.PL.orig	2015-09-03 22:27:45 UTC
+++ perl/AnyData_SNMP/Makefile.PL
@@ -1,3 +1,4 @@
+package AnyData_SNMP;
 use ExtUtils::MakeMaker;
 # See lib/ExtUtils/MakeMaker.pm for details of how to influence
 # the contents of the Makefile that is written.
--- perl/OID/Makefile.PL.orig	2014-12-08 20:23:22 UTC
+++ perl/OID/Makefile.PL
@@ -1,3 +1,4 @@
+package OID;
 # See lib/ExtUtils/MakeMaker.pm for details of how to influence
 # the contents of the Makefile that is written.
 
--- perl/SNMP/Makefile.PL.orig	2014-12-08 20:23:22 UTC
+++ perl/SNMP/Makefile.PL
@@ -1,3 +1,4 @@
+package SNMP;
 use ExtUtils::MakeMaker;
 require 5;
 use Config;
--- perl/TrapReceiver/Makefile.PL.orig	2014-12-08 20:23:22 UTC
+++ perl/TrapReceiver/Makefile.PL
@@ -1,3 +1,4 @@
+package TrapReceiver;
 use ExtUtils::MakeMaker;
 require 5;
 use Config;
--- perl/agent/Makefile.PL.orig	2014-12-08 20:23:22 UTC
+++ perl/agent/Makefile.PL
@@ -1,3 +1,4 @@
+package agent;
 use ExtUtils::MakeMaker;
 require 5;
 use Config;
--- perl/agent/Support/Makefile.PL.orig	2014-12-08 20:23:22 UTC
+++ perl/agent/Support/Makefile.PL
@@ -1,3 +1,4 @@
+package agent_Support;
 use ExtUtils::MakeMaker;
 require 5;
 use Config;
--- perl/agent/default_store/Makefile.PL.orig	2014-12-08 20:23:22 UTC
+++ perl/agent/default_store/Makefile.PL
@@ -1,3 +1,4 @@
+package agent_default_store;
 use ExtUtils::MakeMaker;
 require 5;
 use Config;
--- perl/default_store/Makefile.PL.orig	2014-12-08 20:23:22 UTC
+++ perl/default_store/Makefile.PL
@@ -1,3 +1,4 @@
+package default_store;
 use ExtUtils::MakeMaker;
 require 5;
 use Config;
--- perl/manager/Makefile.PL.orig	2014-12-08 20:23:22 UTC
+++ perl/manager/Makefile.PL
@@ -1,3 +1,4 @@
+package manager;
 use ExtUtils::MakeMaker;
 # See lib/ExtUtils/MakeMaker.pm for details of how to influence
 # the contents of the Makefile that is written.
